Next: Debug, Previous: LumaFix, Up: C64DTV-specific commands and settings [Contents][Index]

#### 7.3.4 Userport

The C64DTV userport emulation currently supports three devices: Hummer ADC, userport joystick and PS/2 mouse.

The joystick that controls either the Hummer ADC or userport joystick can be selected using the same parameter or menu option.

While using the Hummer ADC, joystick UP and DOWN are mapped to the Hummer buttons A and B respectively. LEFT and RIGHT set the ADCs output to 0 and 255. Centering the joystick results in the ADC value of 128.

Currently the Hummer ADC and userport joystick are mutually exclusive. This means that enabling one disables the other. PS/2 mouse emulation can be used simultaneously with either Hummer ADC or userport joystick.

`-hummeradc`
`+hummeradc`

  Enable/Disable Hummer ADC (`HummerADC=1`, `HummerADC=0`).

`-ps2mouse`
`+ps2mouse`

  Enable/disable PS/2 mouse on userport (`ps2mouse=1`, `ps2mouse=0`).